aboutsummaryrefslogtreecommitdiffstats
path: root/community/xfce4-wavelan-plugin/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2018-04-23 19:44:46 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2018-04-23 19:44:46 +0000
commit27d1e194717b1696b3169ad43df027876247b91a (patch)
tree8416dc507bc2aed5f47588d345abe1ef22a6c60f /community/xfce4-wavelan-plugin/APKBUILD
parent0090cfe5db52bd764631d9b1d55e6e74c7cf2ae8 (diff)
downloadaports-27d1e194717b1696b3169ad43df027876247b91a.tar.bz2
aports-27d1e194717b1696b3169ad43df027876247b91a.tar.xz
main/{xfce*} => community/
Move everything xfce to community
Diffstat (limited to 'community/xfce4-wavelan-plugin/APKBUILD')
-rw-r--r--community/xfce4-wavelan-plugin/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/community/xfce4-wavelan-plugin/APKBUILD b/community/xfce4-wavelan-plugin/APKBUILD
new file mode 100644
index 0000000000..1808157c34
--- /dev/null
+++ b/community/xfce4-wavelan-plugin/APKBUILD
@@ -0,0 +1,48 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xfce4-wavelan-plugin
+pkgver=0.6.0
+pkgrel=0
+pkgdesc="plugin to monitor wifi connectivity for the Xfce4 panel"
+url="http://goodies.xfce.org/projects/panel-plugins/xfce4-wavelan-plugin/"
+arch="all"
+license="custom"
+depends=
+subpackages="$pkgname-lang"
+makedepends="xfce4-panel-dev libxfce4ui-dev linux-headers"
+source="http://archive.xfce.org/src/panel-plugins/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.bz2
+ "
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+# xdt-autogen
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libexecdir=/usr/lib \
+ --localstatedir=/var \
+ --disable-static \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+sha512sums="50dd069902d69071f0d4ab7036fa451ae6cdaca9fbeb56255d58a5864d4e4b3749267b1cc4b411e1073daac9678554f3d483d30aba759ef161425ba3cdd0306e xfce4-wavelan-plugin-0.6.0.tar.bz2"